/*------------------------------------*\
    #Table Arrow Navigation
\*------------------------------------*/

@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}tablenav,
%#{$inuit-namespace}tablenav {
    float: left;
    position: relative;
    top: 9px;

    &__arrow {
        border-left: 5px solid transparent;
        border-right: 5px solid transparent;
        height: 0;
        position: absolute;
        top: 0;
        width: 0;

        &--up {
            @extend %c-tablenav__arrow;

            border-bottom: 5px solid $frs-color-black;
            left: 0;
        }

        &--down {
            @extend %c-tablenav__arrow;

            border-top: 5px solid $frs-color-black;
            left: 10px;
            right: auto;
        }

        &--isactdown {
            border-top-color: $frs-color-blue;
        }

        &--isactup {
            border-bottom-color: $frs-color-blue;
        }
    }
}
